[SECURITY] Fedora 21 Update: libvncserver-0.9.10-0.6.20140718git9453be42.fc21

updates at fedoraproject.org updates at fedoraproject.org
Wed Oct 1 04:23:42 UTC 2014

Fedora Update Notification
2014-09-27 08:48:23

Name        : libvncserver
Product     : Fedora 21
Version     : 0.9.10
Release     : 0.6.20140718git9453be42.fc21
URL         : http://libvncserver.sourceforge.net/
Summary     : Library to make writing a vnc server easy
Description :
LibVNCServer makes writing a VNC server (or more correctly, a program
exporting a framebuffer via the Remote Frame Buffer protocol) easy.

It hides the programmer from the tedious task of managing clients and
compression schemata.

Update Information:

Various security fixes, including CVE-2014-6051, CVE-2014-6052, CVE-2014-6053, CVE-2014-6054, CVE-2014-6055

  [ 1 ] Bug #1144287 - CVE-2014-6051 libvncserver: integer overflow flaw, leading to a heap-based buffer overflow in screen size handling
  [ 2 ] Bug #1144288 - CVE-2014-6052 libvncserver: NULL pointer dereference flaw in framebuffer setup
  [ 3 ] Bug #1144289 - CVE-2014-6053 CVE-2010-5304 vnc and libvncserver: server NULL pointer dereference flaw in ClientCutText message handling
  [ 4 ] Bug #1144291 - CVE-2014-6054 libvncserver: server divide-by-zero flaw in scaling factor handling
  [ 5 ] Bug #1144293 - CVE-2014-6055 libvncserver: server stacked-based buffer overflow flaws in file transfer handling

This update can be installed with the "yum" update program.  Use
su -c 'yum update libvncserver' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at

More information about the package-announce mailing list